%define major 2
%define libname %mklibname cares %{major}
%define libdevelname %mklibname cares -d
%define libstaticname %mklibname cares -d -s

Summary:	A library that performs asynchronous DNS operations
Name:		c-ares
Version:	1.13.0
Release:	%mkrel 1
License:	MIT
# The license can be obtained at http://c-ares.haxx.se/license.html
Group:		System/Libraries
URL:		http://c-ares.haxx.se/
Source0:	http://c-ares.haxx.se/download/%{name}-%{version}.tar.gz
# 1.7.4-1.mga1 - add patch from Fedora to make the build respect our default optflags
# (TV) can be just replaced by perl -pi -e 's!(tmp_options=")\$flags_opt_..."!\1"!' configure
Patch0:		c-ares-1.10.0-fdr-rpm-compiler-options.patch

BuildRequires: autoconf

%description
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

%package -n %{libdevelname}
Summary:	Development files for c-ares
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{libdevelname}
This package contains the header files and developemnt libraries
needed to compile applications or shared objects that use c-ares.

%package -n %{libstaticname}
Summary:	Static development library for c-ares
Group:		Development/C
Requires:	%{libdevelname} = %{version}-%{release}

%description -n	%{libstaticname}
This package contains the static development library for c-ares
needed to compile applications using c-ares.

%prep
%setup -q
%patch0 -p1 -b .optflags

# convert to UTF8
iconv -f ISO-8859-1 -t UTF8 CHANGES -o CHANGES.new
mv -f CHANGES.new CHANGES

%build
autoreconf -if
%configure2_5x	\
	--enable-shared \
	--enable-libgcc \
	--enable-nonblocking

%make

%install
%makeinstall_std

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{libdevelname}
%doc README.md README.cares CHANGES NEWS
%{_includedir}/ares*.h
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/libcares.pc
%{_mandir}/man3/ares_*

%files -n %{libstaticname}
%{_libdir}/lib*.a


%changelog
* Sat Jun 24 2017 luigiwalser <luigiwalser> 1.13.0-1.mga6
+ Revision: 1108345
- 1.13.0 (fixes CVE-2017-1000381)

* Thu Sep 29 2016 luigiwalser <luigiwalser> 1.12.0-1.mga6
+ Revision: 1057520
- 1.12.0 (fixes CVE-2016-5180)

* Thu Mar 24 2016 shlomif <shlomif> 1.11.0-1.mga6
+ Revision: 994738
- New version 1.11.0

* Mon Feb 08 2016 umeabot <umeabot> 1.10.0-6.mga6
+ Revision: 942942
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 742412
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 693547
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-3.mga5
+ Revision: 678268
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.10.0-2.mga4
+ Revision: 533073
- Mageia 4 Mass Rebuild

* Tue Jul 02 2013 akien <akien> 1.10.0-1.mga4
+ Revision: 449639
- New upstream release (1.10.0)
- Fixed Source0 URL
- Synced Patch0 with Fedora (new patch for optflags)
- Added Patch1 from Fedora (multilib)
- Added BR on autoconf and use of autoreconf

* Fri Jan 11 2013 umeabot <umeabot> 1.9.1-2.mga3
+ Revision: 347279
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 26 2012 tv <tv> 1.9.1-1.mga3
+ Revision: 264152
- drop patch 1 (fix build)
- new release

* Tue Sep 06 2011 tv <tv> 1.7.5-1.mga2
+ Revision: 139411
- rediff patch 0
- new release

* Fri Apr 15 2011 ahmad <ahmad> 1.7.4-1.mga1
+ Revision: 85576
- Update to 1.7.4
- Add a patch to make the build respect our default compile flags (Fedora)
- Add a patch to to fix multi arch installs (Fedora)
- drop the deprecated --enable-thread configure options
- don't use --enable-optimize as it adds some compile flags (other than the our defaults)

* Tue Jan 11 2011 blino <blino> 1.7.3-2.mga1
+ Revision: 5712
- remove old ldconfig scriptlets
- imported package c-ares

